The heirarchy of text editing objects goes:

`dialog -> component -> session -> editor`

Editors and Sessions are defined in this module.

### editor

handles low-level events and renders the preview using one of the text layout objects.

### session

creates and destroys editors, e.g. for lyrics that have a Different editor instance for each note.

## SuiTextEditor

The base text editor handles the positioning and inserting of text blocks into the text area. The derived class shoud interpret key events. A container class will manage the session for starting/stopping the editor and retrieving the results into the target object.

### Hierarchy

- SuiTextEditor

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SuiTextEditor(params: SuiTextEditorParams): SuiTextEditor

- - Defined in src/render/sui/textEdit.ts:126

  #### Parameters

  - ##### params: SuiTextEditorParams

  #### Returns SuiTextEditor

Generated using TypeDoc